%define bname qalculate

%define major 6
%define libname %mklibname %{bname} %{major}
%define develname %mklibname %{bname} -d

Summary:	The library for qalculate
Name:		libqalculate
Version:	0.9.10
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		http://qalculate.github.io/
Source0:	https://github.com/Qalculate/libqalculate/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(cln)
BuildRequires:	readline-devel

%description
Libraries needed by qalculator.

%package -n qalculate
Summary:	Qalculate! multi-purpose calculator CLI
Group:		Sciences/Mathematics

%description -n qalculate
Qalculate! is a multi-purpose desktop calculator. It is small and
simple to use but with much power and versatility underneath. Features
include customizable functions, units, arbitrary precision, plotting.

%package -n %{libname}
Group:		System/Libraries
Summary:	The library for qalculate
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
Libraries needed by qalculate.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:       %{bname}-devel
Provides:	%{name}-devel

%description -n %{develname}
Headers and development files for %{name}.

%package data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description data
Data files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n qalculate
%{_bindir}/qalc

%files data -f %{name}.lang
%{_datadir}/%{bname}/

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README* TODO
%doc %{_docdir}/%{name}/
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Oct 08 2016 wally <wally> 0.9.10-1.mga6
+ Revision: 1059505
- new version 0.9.10
- introduce qalculate pkg for CLI

* Sat Aug 06 2016 wally <wally> 0.9.9-1.mga6
+ Revision: 1044762
- new version 0.9.9
- new libmajor 6
- update url

* Thu Feb 11 2016 umeabot <umeabot> 0.9.7-15.mga6
+ Revision: 955620
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 cjw <cjw> 0.9.7-14.mga6
+ Revision: 869540
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-13.mga5
+ Revision: 745081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-12.mga5
+ Revision: 681730
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.7-11.mga4
+ Revision: 507289
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.7-10.mga3
+ Revision: 358024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 wally <wally> 0.9.7-9.mga3
+ Revision: 291272
- rebuild due to a missing i586 pkgs

* Tue Aug 28 2012 wally <wally> 0.9.7-8.mga3
+ Revision: 284886
- disable static build and get rid of .la files
- drop old obsoletes/conflicts
- tag data pkg as noarch
- clean .spec a bit

* Sat Jan 15 2011 mikala <mikala> 0.9.7-7.mga1
+ Revision: 18682
- Remove mdk macro
- Remove BuildRoot
- imported package libqalculate

